org.apache.solr.core

## Class PluginInfo

- java.lang.Object
- - org.apache.solr.core.PluginInfo

- All Implemented Interfaces:
    MapSerializable

      public class PluginInfo
      extends Object
      implements MapSerializable

  An Object which represents a Plugin of any type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPENDS`
    `Map<String,String>` | `attributes`
    `List<PluginInfo>` | `children`
    `String` | `className`
    `static String` | `DEFAULTS`
    `static PluginInfo` | `EMPTY_INFO`
    `NamedList` | `initArgs`
    `static String` | `INVARIANTS`
    `String` | `name`
    `String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginInfo(Node node, String err, boolean requireName, boolean requireClass)`
    `PluginInfo(String type, Map<String,Object> map)`
    `PluginInfo(String type, Map<String,String> attrs, NamedList initArgs, List<PluginInfo> children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PluginInfo` | `copy()`
    `PluginInfo` | `getChild(String type)`
    `List<PluginInfo>` | `getChildren(String type)` Filter children by type
    `boolean` | `isDefault()`
    `boolean` | `isEnabled()`
    `boolean` | `isFromSolrConfig()`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### className

          public final String className

    - #### type

          public final String type

    - #### initArgs

          public final NamedList initArgs

    - #### attributes

          public final Map<String,String> attributes

    - #### children

          public final List<PluginInfo> children

    - #### EMPTY_INFO

          public static final PluginInfo EMPTY_INFO

    - #### DEFAULTS

          public static final String DEFAULTS

      See Also:
        Constant Field Values

    - #### APPENDS

          public static final String APPENDS

      See Also:
        Constant Field Values

    - #### INVARIANTS

          public static final String INVARIANTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginInfo

          public PluginInfo(String type,
                            Map<String,String> attrs,
                            NamedList initArgs,
                            List<PluginInfo> children)

    - #### PluginInfo

          public PluginInfo(Node node,
                            String err,
                            boolean requireName,
                            boolean requireClass)

    - #### PluginInfo

          public PluginInfo(String type,
                            Map<String,Object> map)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isEnabled

          public boolean isEnabled()

    - #### isDefault

          public boolean isDefault()

    - #### getChild

          public PluginInfo getChild(String type)

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### getChildren

          public List<PluginInfo> getChildren(String type)

      Filter children by type
      Parameters:
        `type` - The type name. must not be null
      Returns:
        The mathcing children

    - #### isFromSolrConfig

          public boolean isFromSolrConfig()

    - #### copy

          public PluginInfo copy()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.